# gatsby-source-giphy-random
[![](https://img.shields.io/npm/v/gatsby-source-giphy-random.svg?style=flat-square)](https://www.npmjs.com/package/gatsby-source-giphy-random)
[![](https://img.shields.io/npm/dt/gatsby-source-giphy-random.svg?style=flat-square)](https://www.npmjs.com/package/gatsby-source-giphy-random)

This is a fork of [@jiyeonseo](https://github.com/jiyeonseo)'s source plugin for pulling data into Gatsby from [Giphy](https://giphy.com/) trending API, slightly altered to pull from Giphy's random API instead. You can also supply a specific tag to pull random images from.

## Prerequisites
- [Create a Giphy app to get an API key](https://developers.giphy.com/dashboard/?create=true) 

## Install 
```
npm install --save gatsby-source-giphy-random
```
or
```
yarn add gatsby-source-giphy-random
```

## How to use
```
// In your gatsby-config.js
plugins: [
  {
    resolve: 'gatsby-source-giphy-random',
      options: {
        api_key: '',
        rating: 'G',
        tag: 'pixel art',
      },
  },
]
```
## Options 

#### api_key (REQUIRED)
The API key from Giphy Developer Dashboard.

#### rating (OPTIONAL)
Filters results by rating 
- Y
- G
- PG
- PG-13
- R

## How to query
```
{
  allGiphyGif(limit: 10) {
    edges {
      node {
        id
        url
        title
        images {
          original {
            url
          }
        }
      }
    }
  }
}
```
